• need to make sure you have the 'build-essential' package, which supplies libc, standard headers, as well as gcc: apt-get install build-essential
  • also need to have the 'libx11-dev' package
      apt-get install libx11-dev
      apt-get install libncurses-dev
      apt-get install automake libtool
    
  • needed to force libz to be installed:
      pschecklibs -force libz
      (pschecklibs found a copy of it, but it failed the configure test for libjpeg)
    
  • memset is not defined? I had to add it to pmFootprintsFind.c...
  • libjpeg has trouble with libtool : i needed to modify config.guess and config.sub (see jpeg-6b-p1)
    • better to install the developer library at the system level:
      apt-get install libjpeg62-dev
      
  • installing the IPP code, including libz, broke my ubuntu installation of evince by providing a version of libz which did not have gzopen64 included. It is safest to install the developer version of libz as well:
    apt-get install zlib1g-dev
    
  • other ubuntu libs that should be installed at the system level:
     libgsl0-dev
     libmysqlclient15-dev
     libpng12-dev